public var currentValue = 0;

private var playStarted = false;

private var turnBegun = false;
private var turnEnded = false;

private var textMeshComponent;

function Start() {
	dieTextGameObject = GameObject.Find("DieText");
	textMeshComponent = dieTextGameObject.GetComponent("TextMesh");
}

function Update () {
	// only update text when play has started
	if (playStarted) textMeshComponent.text = currentValue.ToString();
}

function OnMouseUp() {
	Debug.Log("mouseup");
	if (!playStarted) playStarted = true;
    currentValue = 0;
	turnBegun = true;
	turnEnded = false;
}